### Method

# WPEPlatform BufferFormatsBuilder end

#### Declaration [src]

    WPEBufferFormats*
    wpe_buffer_formats_builder_end (
      WPEBufferFormatsBuilder* builder
    )

#### Description [src]

End the builder process and return the constructed `WPEBufferFormats`. This function calls `wpe_buffer_formats_builder_unref()` on `builder`.

#### Parameters

`builder`

  Type: `WPEBufferFormatsBuilder`

  A `WPEBufferFormatsBuilder`.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `WPEBufferFormats`

A new `WPEBufferFormats`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.